## org.cybergarage.upnp
Class UPnP

    java.lang.Object
      org.cybergarage.upnp.UPnP

    public class UPnP

extends Object

Field Summary
`static int` `DEFAULT_EXPIRED_DEVICE_EXTRA_TIME`
`static String` `INMPR03`
`static int` `INMPR03_DISCOVERY_OVER_WIRELESS_COUNT`
`static String` `INMPR03_VERSION`
`static String` `NAME`
`static int` `SERVER_RETRY_COUNT`
`static int` `USE_IPV6_ADMINISTRATIVE_SCOPE`
`static int` `USE_IPV6_GLOBAL_SCOPE`
`static int` `USE_IPV6_LINK_LOCAL_SCOPE`
`static int` `USE_IPV6_SITE_LOCAL_SCOPE`
`static int` `USE_IPV6_SUBNET_SCOPE`
`static int` `USE_LOOPBACK_ADDR`
`static int` `USE_ONLY_IPV4_ADDR`
`static int` `USE_ONLY_IPV6_ADDR`
`static int` `USE_SSDP_SEARCHRESPONSE_MULTIPLE_INTERFACES`
`static String` `VERSION`
`static String` `XML_DECLARATION`

Constructor Summary
`UPnP()`

Method Summary
`static String` `createUUID()`
`static String` `getServerName()`
`static Parser` `getXMLParser()`
`static void` `initialize()`
`static boolean` `isEnabled(int value)`
`static void` `setDisable(int value)`
`static void` `setEnable(int value)`
`static void` `setXMLParser(Parser parser)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### VERSION

    public static final String VERSION

See Also:
  Constant Field Values

### SERVER_RETRY_COUNT

    public static final int SERVER_RETRY_COUNT

See Also:
  Constant Field Values

### DEFAULT_EXPIRED_DEVICE_EXTRA_TIME

    public static final int DEFAULT_EXPIRED_DEVICE_EXTRA_TIME

See Also:
  Constant Field Values

### INMPR03

    public static final String INMPR03

See Also:
  Constant Field Values

### INMPR03_VERSION

    public static final String INMPR03_VERSION

See Also:
  Constant Field Values

### INMPR03_DISCOVERY_OVER_WIRELESS_COUNT

    public static final int INMPR03_DISCOVERY_OVER_WIRELESS_COUNT

See Also:
  Constant Field Values

### XML_DECLARATION

    public static final String XML_DECLARATION

See Also:
  Constant Field Values

### USE_ONLY_IPV6_ADDR

    public static final int USE_ONLY_IPV6_ADDR

See Also:
  Constant Field Values

### USE_LOOPBACK_ADDR

    public static final int USE_LOOPBACK_ADDR

See Also:
  Constant Field Values

### USE_IPV6_LINK_LOCAL_SCOPE

    public static final int USE_IPV6_LINK_LOCAL_SCOPE

See Also:
  Constant Field Values

### USE_IPV6_SUBNET_SCOPE

    public static final int USE_IPV6_SUBNET_SCOPE

See Also:
  Constant Field Values

### USE_IPV6_ADMINISTRATIVE_SCOPE

    public static final int USE_IPV6_ADMINISTRATIVE_SCOPE

See Also:
  Constant Field Values

### USE_IPV6_SITE_LOCAL_SCOPE

    public static final int USE_IPV6_SITE_LOCAL_SCOPE

See Also:
  Constant Field Values

### USE_IPV6_GLOBAL_SCOPE

    public static final int USE_IPV6_GLOBAL_SCOPE

See Also:
  Constant Field Values

### USE_SSDP_SEARCHRESPONSE_MULTIPLE_INTERFACES

    public static final int USE_SSDP_SEARCHRESPONSE_MULTIPLE_INTERFACES

See Also:
  Constant Field Values

### USE_ONLY_IPV4_ADDR

    public static final int USE_ONLY_IPV4_ADDR

See Also:
  Constant Field Values

Constructor Detail

### UPnP

    public UPnP()

Method Detail

### getServerName

    public static final String getServerName()

### setEnable

    public static final void setEnable(int value)

### setDisable

    public static final void setDisable(int value)

### isEnabled

    public static final boolean isEnabled(int value)

### createUUID

    public static final String createUUID()

### setXMLParser

    public static final void setXMLParser(Parser parser)

### getXMLParser

    public static final Parser getXMLParser()

### initialize

    public static final void initialize()